[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# TIDEAKey

Type for holding a user IDEA key

## Declaration

Source position: idea.pp line 58

`type TIDEAKey = array [0..keylen-1] of Word;`

## Description

The IDEA key should be filled by the user with some random data (say, a passphrase). This key is used to generate the actual encryption/decryption keys.

## See also

TIdeaCryptKey |  | Type for holding an encyption/decryption IDEA key.
TIdeaCryptData |  | Buffer type to hold encryption data.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.